Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.xbl
Interface XBLManager

All Known Implementing Classes:
  DefaultXBLManager, GenericXBLManager

    public interface XBLManager

An interface for classes that can manage XBL functionality for a document's nodes.

Method Summary
`Element` | `getXblBoundElement(Node n)` Get the bound element whose shadow tree a node resides in.
`NodeList` | `getXblChildNodes(Node n)` Get the list of child nodes of a node in the fully flattened tree.
`NodeList` | `getXblDefinitions(Node n)` Get the xbl:definition elements currently binding an element.
`Node` | `getXblFirstChild(Node n)` Get the first child node of a node in the fully flattened tree.
`Element` | `getXblFirstElementChild(Node n)` Get the first element child of a node in the fully flattened tree.
`Node` | `getXblLastChild(Node n)` Get the last child node of a node in the fully flattened tree.
`Element` | `getXblLastElementChild(Node n)` Get the last element child of a node in the fully flattened tree.
`Element` | `getXblNextElementSibling(Node n)` Get the first element that follows a node in the xblParentNode's xblChildNodes list.
`Node` | `getXblNextSibling(Node n)` Get the node which directly follows a node in thexblParentNode's xblChildNodes list.
`Node` | `getXblParentNode(Node n)` Get the parent of a node in the fully flattened tree.
`Element` | `getXblPreviousElementSibling(Node n)` Get the first element that precedes the a node in the xblParentNode's xblChildNodes list.
`Node` | `getXblPreviousSibling(Node n)` Get the node which directly precedes a node in the xblParentNode's xblChildNodes list.
`NodeList` | `getXblScopedChildNodes(Node n)` Get the list of child nodes of a node in the fully flattened tree that are within the same shadow scope.
`Element` | `getXblShadowTree(Node n)` Get the shadow tree of a node.
`boolean` | `isProcessing()` Returns whether XBL processing is currently enabled.
`void` | `startProcessing()` Starts XBL processing on the document.
`void` | `stopProcessing()` Stops XBL processing on the document.

Method Detail

### startProcessing

    void startProcessing()

  Starts XBL processing on the document.

### stopProcessing

    void stopProcessing()

  Stops XBL processing on the document.

### isProcessing

    boolean isProcessing()

  Returns whether XBL processing is currently enabled.

### getXblParentNode

    Node getXblParentNode(Node n)

  Get the parent of a node in the fully flattened tree.

### getXblChildNodes

    NodeList getXblChildNodes(Node n)

  Get the list of child nodes of a node in the fully flattened tree.

### getXblScopedChildNodes

    NodeList getXblScopedChildNodes(Node n)

  Get the list of child nodes of a node in the fully flattened tree that are within the same shadow scope.

### getXblFirstChild

    Node getXblFirstChild(Node n)

  Get the first child node of a node in the fully flattened tree.

### getXblLastChild

    Node getXblLastChild(Node n)

  Get the last child node of a node in the fully flattened tree.

### getXblPreviousSibling

    Node getXblPreviousSibling(Node n)

  Get the node which directly precedes a node in the xblParentNode's xblChildNodes list.

### getXblNextSibling

    Node getXblNextSibling(Node n)

  Get the node which directly follows a node in thexblParentNode's xblChildNodes list.

### getXblFirstElementChild

    Element getXblFirstElementChild(Node n)

  Get the first element child of a node in the fully flattened tree.

### getXblLastElementChild

    Element getXblLastElementChild(Node n)

  Get the last element child of a node in the fully flattened tree.

### getXblPreviousElementSibling

    Element getXblPreviousElementSibling(Node n)

  Get the first element that precedes the a node in the xblParentNode's xblChildNodes list.

### getXblNextElementSibling

    Element getXblNextElementSibling(Node n)

  Get the first element that follows a node in the xblParentNode's xblChildNodes list.

### getXblBoundElement

    Element getXblBoundElement(Node n)

  Get the bound element whose shadow tree a node resides in.

### getXblShadowTree

    Element getXblShadowTree(Node n)

  Get the shadow tree of a node.

### getXblDefinitions

    NodeList getXblDefinitions(Node n)

  Get the xbl:definition elements currently binding an element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.